Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
cls_dbls_struct.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | Dbls

## Typedefs
typedef struct Dbls | Dbls

## Functions
void | closure_test_fn (Dbls p)
void | closure_test_gn (ffi_cif *cif __UNUSED__, void *resp __UNUSED__, void **args, void *userdata __UNUSED__)
int | main (int argc __UNUSED__, char **argv __UNUSED__)

## Typedef Documentation

## ◆ Dbls

typedef struct Dbls Dbls

## Function Documentation

## ◆ closure_test_fn()

void closure_test_fn | ( | Dbls | p | ) |

Definition at line 17 of file cls_dbls_struct.c.

References printf(), Dbls::x, and Dbls::y.

Referenced by closure_test_gn(), and main().

## ◆ closure_test_gn()

void closure_test_gn | ( | ffi_cif *cif | __UNUSED__,
|  | void *resp | __UNUSED__,
|  | void ** | args,
|  | void *userdata | __UNUSED__
| ) |  |

Definition at line 23 of file cls_dbls_struct.c.

References closure_test_fn().

Referenced by main().

## ◆ main()

int main | ( | int argc | __UNUSED__,
|  | char **argv | __UNUSED__
| ) |  |

Definition at line 29 of file cls_dbls_struct.c.

References arg, CHECK, closure_test_fn(), closure_test_gn(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), ffi_type_void, and NULL.